## parmetis 3.1

=== Makefile ===


default:
	(cd METISLib ; make ) 
	(cd ParMETISLib ; make ) 
	(cd Programs ; make ) 

clean:
	(cd METISLib ; make realclean )
	(cd ParMETISLib ; make realclean )
	(cd Programs ; make realclean )
