## parmetis 3.1.1

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,22 @@
 	(cd Programs ; make ) 
 
 clean:
+	(cd METISLib ; make clean )
+	(cd ParMETISLib ; make clean )
+	(cd Programs ; make clean )
+
+realclean:
 	(cd METISLib ; make realclean )
 	(cd ParMETISLib ; make realclean )
 	(cd Programs ; make realclean )
 
 
+checkin:
+	(cd METISLib ; make checkin )
+	(cd ParMETISLib ; make checkin )
+	(cd Programs ; make checkin )
+
+checkin2:
+	(cd METISLib ; make checkin2 )
+	(cd ParMETISLib ; make checkin2 )
+	(cd Programs ; make checkin2 )
