=== debian/changelog ===
parmetis (3.1.1-4build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:21:14 -0500

parmetis (3.1.1-4) unstable; urgency=low

  * Team upload
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Show compilation warnings at build time
  * Programs/Makefile: Explicitly link against mpi to resolve FTBFS.
    Thanks to Daniel T Chen for providing the patch (Closes: #639743)
    (LP: #832950)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Aug 2011 00:35:57 +0200

parmetis (3.1.1-3) unstable; urgency=high

  * Team upload
  * XS-Autobuild added with high priority to make it to Squeeze.
    Following Adam D. Barratt advices.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Jan 2011 23:36:35 +0100

parmetis (3.1.1-2) unstable; urgency=low

  * Team upload
  * Fix a FTBFS. Thanks to Jakub Wilk for the patch (Closes: #610956)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Jan 2011 09:11:56 +0100

parmetis (3.1.1-1) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * METISLib/Makefile: Link with -lm for missing symbols.
  * ParMETISLib/Makefile: Ditto. Further link with -lmetis.
  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
    (Depends): Fixed deprecated substvar to be binNMU safe.
  * debian/copyright: Added missing copyright information to make lintian
    happy.
  * debian/parmetis-doc.doc-base (Section): Fixed.
  * debian/watch: Added.

  [Christophe Prud'homme]
  * New upstream release
  * debian/control: update Standards-Version to 3.8.2
  * debian/control: added ${misc:Depends}
  * deboan/control: use mpi-defaults
  * debian/rules: use /usr/include/mpi in CPPFLAGS now

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 29 Jul 2009 07:11:06 +0200

parmetis (3.1-10) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control,rules: support for all arch

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 04 Jan 2008 13:37:39 +0100

parmetis (3.1-9) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "parmetis_3.1-8+b1(unstable/amd64/xenophanes): FTBFS:
    Doesn&#39;t search for mpi.h in right include path", thanks to Marc
    &#39;HE&#39; Brockschmidt (Closes: #459025).
  * Bug fix: "parmetis: rebuild with OpenMPI", thanks to Adam C Powell IV
    (Closes: #447671).
  * Bug fix: "parmetis_3.1-8(hppa/experimental): FTBFS: new build-dep
    removes arch support", thanks to Frank Lichtenheld (Closes: #449018).
  * Update Standards-Version to 3.7.3 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 04 Jan 2008 12:13:27 +0100

parmetis (3.1-8) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: Build-Depends on openmpi, Depends on mpich or openmpi
  * Bug fix: "Wishlist: lam version.", thanks to Viral Shah (Closes:
    #200409).
  * debian/control: XS-Vcs* control fields replaced by their Vcs*
    counterparts

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 01 Nov 2007 10:01:57 +0100

parmetis (3.1-7) unstable; urgency=low

  [Christophe Prud'homme]
  * really fix FTBFS

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 15 Jul 2007 11:16:13 +0200

parmetis (3.1-6) unstable; urgency=low

  * Bug fix: "parmetis_3.1-5(hppa/experimental): FTBFS: error:
    metis/stdheaders.h: No such file or directory", thanks to Frank
    Lichtenheld (Closes: #432605).

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 11 Jul 2007 04:57:37 +0200

parmetis (3.1-5) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

  [ Christophe Prud'homme ]
  * METISLib/metis.h, ParMETISLib/parmetislib.h: make metis/parmetis
    headers usable

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 09 Jul 2007 09:38:31 +0200

parmetis (3.1-4) unstable; urgency=low

  * Install headers from metis and parmetis in there respective
    subdirectories (/usr/include/metis and /usr/include/parmetis)
  * Use CDBS
  * Updated Standards-Version to 3.7.2 (no change)
  * Taking over parmetis maintenance-ship

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 12 Oct 2006 13:49:49 +0200

parmetis (3.1-3) unstable; urgency=low

  * Rebuild using new mpich library package.
  * Fixed libparmetis-dev Depends in control.
  * Switched from mpicc to gcc to get shlib dependencies right.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 30 Aug 2005 13:18:35 -0400

parmetis (3.1-2) unstable; urgency=low

  * Declared conflict between parmetis-test and pimppa (closes: #308846).
  * Changed mpich build dependency to libmpich1.0-dev.
  * Other minor changes to dependencies.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 18 May 2005 06:40:33 -0400

parmetis (3.1-1) unstable; urgency=low

  * New upstream.
  * Removed redundant data from parmetis-test package which is already in -doc,
    adjusted the ptest and meshtest man pages accordingly (closes: #233428).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 18 Feb 2004 11:46:58 -0500

parmetis (3.0-3) unstable; urgency=low

  * Fixed parmetis.h to work with C++. (closes: #200904)
  * Added shared library with its very own package.
  * Changed name of -dev package.
  * Added -test package with binaries and example files from Test dir.
  * Added overrides files because lintian mistakenly thinks this is gpl. :-)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  7 Aug 2003 20:01:45 -0400

parmetis (3.0-2) unstable; urgency=low

  * New permission from upstream should result in acceptance (closes: #186116).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue,  8 Apr 2003 17:54:53 -0400

parmetis (3.0-1) unstable; urgency=low

  * First packaging attempt, first upload (closes: #186116).
  * Only static libraries for now, since that's all that upstream generates.


