=== debian/control ===
Source: parmetis
Section: non-free/math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Adam C. Powell IV <hazelsct@debian.org>, Christophe Prud'homme <prudhomm@debian.org>
Standards-Version: 3.9.2
Homepage: http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/parmetis/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/parmetis/trunk/
Build-Depends: cdbs, debhelper (>> 5), mpi-default-dev, mpi-default-bin
XS-Autobuild: yes

Package: libparmetis-dev
Architecture: any
Section: non-free/libdevel
Depends: libparmetis3.1 (= ${binary:Version}), ${misc:Depends}, mpi-default-dev
Suggests: parmetis-doc
Replaces: parmetis-dev
Conflicts: parmetis-dev
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Libs: Devel
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains files needed to develop programs using ParMetis.

Package: libparmetis3.1
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-dev
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Shared Libs
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains the ParMetis shared libraries.

Package: parmetis-test
Architecture: any
Section: non-free/math
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin
Recommends: parmetis-doc
Conflicts: pimppa
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Tests
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains programs which test the ParMetis libraries using files
 in the parmetis-doc package's examples directory.

Package: parmetis-doc
Architecture: all
Depends: ${misc:Depends}
Section: non-free/doc
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Lib - Docs
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains the documentation and example files.
