=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain.

# where sources are
DEB_SRCDIR = $(CURDIR)/
# in which directory to build
DEB_BUILDDIR = $(DEB_SRCDIR)/
# in which directory to install the sofware
DEB_DESTDIR = $(CURDIR)/debian/tmp

#DEB_TAR_SRCDIR                  := parmetis-3.1
DEB_AUTO_CLEANUP_RCS            := yes

export MACHINE=LINUX


DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_INSTALL_TARGET  := #install DESTDIR=$(CURDIR)/debian/tmp/
# no check for this software
DEB_MAKE_CHECK_TARGET :=

DEB_DH_COMPRESS_ARGS := -X pdf


include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/tarball.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

INSTALL_PROG=install -D
INSTALL_DATA=install -m 644 -D


#DEB_MAKE_ENVVARS :=
CFLAGS=-O3 -Wall
CXXFLAGS=-O3 -Wall

XTRALIBS=-lmpi
LIBS=-lmpi
LIBDIR=

CPPFLAGS=-I. -I.. -I$(DEB_SRCDIR) -I/usr/include/mpi

makebuilddir::
	-ln -s METISLib metis
	-ln -s ParMETISLib parmetis

clean::
	-rm metis parmetis
	-rm ParMETISLib/ParMETISLib METISLib/METISLib
