=== debian/watch ===
version=3
http://glaros.dtc.umn.edu/gkhome/metis/parmetis/download \
 /gkhome/fetch/sw/parmetis/ParMetis-([\d.]+)\.tar\.gz
