=== debian/changelog ===
parmetis (4.0.3-7.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 05 Feb 2024 14:57:11 -0300

parmetis (4.0.3-7) unstable; urgency=medium

  * Team upload.
  * d/tests/build1: allow oversubscription with OpenMPI.

 -- Ansgar <ansgar@debian.org>  Sun, 17 Jul 2022 22:21:07 +0200

parmetis (4.0.3-6) unstable; urgency=medium

  * Team upload.
  * d/tests/control:
    - add dependency on g++, required to built the test program
    - remove dependency on libmetis-dev as libparmetis-dev depends on it
  * d/control: add Rules-Requires-Root: no
  * d/control: use debhelper compat level 13
    - d/not-installed: list usr/bin/{par,po}metis
  * d/rules: use `DEB_*_MAINT_APPEND` to pass compiler flags.
    With this change Debian's default flags are used as well.
  * d/control: update Vcs-* fields to point to salsa.d.o
  * d/control: use Standards-Version: 4.6.1

 -- Ansgar <ansgar@debian.org>  Sat, 16 Jul 2022 20:29:53 +0200

parmetis (4.0.3-5) unstable; urgency=medium

  * Team upload.

  [ Wolfgang Fütterer ]
  * [9bc9267] Removed Christophe from uploaders list (Closes: #835020)

  [ Ansgar Burchardt ]
  * libparmetis4.0: remove `postinst` maintainer script: it only contained
    the "#DEBHELPER#" marker. Closes: #843279
  * libparmetis-dev: add dependency on libmetis-dev. Closes: #862659

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 15 May 2017 20:21:44 +0200

parmetis (4.0.3-4) unstable; urgency=medium

  * Added autopkgtest
  * Release package to unstable

 -- Wolfgang Fuetterer <debian@wlf-online.de>  Tue, 28 Jul 2015 10:47:27 +0200

parmetis (4.0.3-3) experimental; urgency=medium

  [ Wolfgang Fuetterer ]

  * Package migrated to use git
  * Set Standards-Versions: 3.9.6. No changes.
  * Dropped duplicated section field in control file for parmetis-test
  * Added symbols file for shared library
  * Changed VCS-field to use git now
  * Added myself to the uploaders field (Closes: #706710)

  [ Andrew Miller <andrew@amxl.com> ]

  * Team upload
  * Standards-Version updated to version 3.9.3.1
  * Fix watch file with respect to case changes on the project.
  * Update to parmetis-4.0.2

  [ Christophe Trophime <christophe.trophime@lncmi.cnrs.fr> ]

  * Build using libmetis-dev

 -- Wolfgang Fuetterer <debian@wlf-online.de>  Sun, 26 Oct 2014 11:27:07 +0100
