=== debian/control ===
Source: parmetis
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Adam C. Powell IV <hazelsct@debian.org>,
           Wolfgang Fuetterer <debian@wlf-online.de>
Section: non-free/math
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper-compat (= 13),
               mpi-default-dev,
               mpi-default-bin,
               cmake,
               libmetis-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/parmetis
Vcs-Git: https://salsa.debian.org/science-team/parmetis.git
Homepage: http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview
Rules-Requires-Root: no

Package: libparmetis-dev
Architecture: any
Section: non-free/libdevel
Depends: libparmetis4.0t64 (= ${binary:Version}),
         ${misc:Depends},
         mpi-default-dev,
         libmetis-dev
Suggests: parmetis-doc
Conflicts: parmetis-dev
Replaces: parmetis-dev
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Libs: Devel
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains files needed to develop programs using ParMetis.

Package: libparmetis4.0t64
Provides: ${t64:Provides}
Replaces: libparmetis4.0
Breaks: libparmetis4.0 (<< ${source:Version})
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mpi-default-dev
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Shared Libs
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains the ParMetis shared libraries.

Package: parmetis-test
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libparmetis4.0t64,
         mpi-default-bin
Recommends: parmetis-doc
Conflicts: pimppa
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Tests
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains programs which test the ParMetis libraries using files
 in the parmetis-doc package's examples directory.

Package: parmetis-doc
Architecture: all
Section: non-free/doc
Depends: ${misc:Depends}
Description: Parallel Graph Partitioning and Sparse Matrix Ordering Lib - Docs
 ParMetis computes minimal-cut partitions of graphs and meshes in parallel, and
 orders variables for minimal fill when using direct solvers for sparse
 matrices.  It does all this in parallel, and also can efficiently re-partition
 a graph or mesh whose connectivity has changed.
 .
 This package contains the documentation and example files.
