=== debian/tests/control ===
Tests: build1
Depends: g++, libparmetis-dev, mpi-default-bin
